# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
###############################################################################
{
    "name" : "Modulo de Retención IVA"      ,
    "version" : "0.1"                       ,
    "depends" : ['base'                     , 
                 'account'                  ,
                 'purchase'                 ,
                 'stock'                    ,
                 'sale'                     ,
                 'l10n_co_uvt'              ,
                 'l10n_co_retention'        ,
                 'l10n_co_journal'          , 
                ]                           ,
    "author" : "OpenERP Venezuela"          ,
    "description" : """
    Crea un modelo para la retencion del IVA
                    """                         ,
    "website" : "http://wiki.openerp.org.ve/"   ,
    "category" : "Generic Modules"              ,
    "init_xml" : [
    ]                                           ,
    "demo_xml" : [
    ]                                           ,
    "update_xml" : [
                        'l10n_co_baremo_iva_view.xml'           ,
                        'partner_iva_view.xml'                  ,
                        'l10n_co_tax_payer_iva_view.xml'        ,
                        'retencion_iva_report.xml'              , 
                        'retention_iva_view.xml'                , 
                        'invoice_iva_view.xml'                  ,
                        'retencion_iva_sequence.xml'            ,
                        'reporte_anual_iva_view.xml'            ,
                        'retencion_iva_wizard.xml'              ,
                        'invoice_line_concept_view.xml'         ,
                        'purchase_order_line_concept_view.xml'  ,
                        'sale_order_line_concept_view.xml'      ,
                        'security/ir.model.access.csv'          ,
    ]                                                           ,
    "active": False                                             ,
    "installable": True                                         ,
}
