# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################
from osv import osv
from osv import fields
from tools.translate import _
from tools import config
import time

class account_invoice_line(osv.osv):
    _inherit = 'account.invoice.line'
    _columns = {
        'concept_retention_rete': fields.many2one('baremo.rent.item','Concepto de ReteFuente'), 
    }

    def product_id_change(self, cr, uid, ids, product, uom, qty=0, name='', type='out_invoice', partner_id=False, fposition_id=False, price_unit=False, address_invoice_id=False, context=None):
        data = super(account_invoice_line, self).product_id_change(cr, uid, ids, product, uom, qty, name, type, partner_id, fposition_id, price_unit, address_invoice_id, context)
        print "entro en el onchange del producto de la linea de la factura"
        pro = self.pool.get('product.product').browse(cr, uid, product, context=context)
        concepto=pro.reterenta.id
        data[data.keys()[1]]['concept_retention_rete'] = concepto
        return data
    
account_invoice_line()


class account_retention_rete_line(osv.osv): 
    _inherit = 'account.retention.rete.line'
    _columns = {
        'concept_retention_rete':fields.related('invoice_line_id','concept_retention_rete', type='many2one',relation='baremo.rent.item',string='Concepto ReteFuente',store=True),
    }
account_retention_rete_line()







