# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################

{
    "name" : "Reportes para un periodo Fiscal",
    "version" : "0.1"                         ,
    "depends" : ['base'                       , 
                 'l10n_co_ica'                ,
                 'l10n_co_iva'                ,
                 'l10n_co_retefuente'         ,
                ]                             ,
    "author" : "OpenERP Venezuel"             ,
    "description" : """
    Reporte para un periodo fiscal de:
        - Saldo de cuenta por cobrar (por pagar) al inicio del periodo o lapso.
        - Resumen contable (mayor analitico de la cuenta).
        - Saldo de la cuenta por cobrar (por pagar) al final del periodo o lapso.
        - Facturas (in & out) (n.c./n.d.) generadas durante ese lapso.
        - Retenciones (IVA, RETE, ICA).
        - Mostrar las operaciones mercantiles, vouchers.
        - Operaciones de stock para esta empresa
                    """                               ,            
                    
    "website" : "http://wiki.openerp.org.ve/"         ,
    "category" : "Generic Modules"                    ,
    "init_xml" : [
    ]                                                 ,
    "demo_xml" : [
    ]                                                 ,
    "update_xml" : [
                    'report_view.xml'                    ,
                    'transaction_report_wizard_view.xml' ,
                    'security/ir.model.access.csv'       ,

    ]                                                 ,
    "active": False                                   ,
    "installable": True                               ,
}
