##############################################################################
#
# Copyright (c) 2005-2006 TINY SPRL. (http://tiny.be) All Rights Reserved.
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
# End users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

import time
from report import report_sxw
from tools import amount_to_text_en
from numero_a_texto import Numero_a_Texto


class report_voucher_amount(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(report_voucher_amount, self).__init__(cr, uid, name, context)
        self.localcontext.update({
            'time': time,
            'convert':self.convert          ,
            'get_fecha': self.get_fecha     ,
        })

    def convert(self,amount, cur):
# este reporte funciona para un redondeo de tres, es decir el formato queda asi:  en lenguaje se coloca la configuracion: [3,3,3,3,-1]
#                  44,444.00 malo
#                  44444.00 bueno
        print "em amoun esssssssssssssss: ", amount
        #11.145.892,00   
        cadena=str(amount)
        a=cadena.replace('.','')
        b=a.replace(',','.')
        print "el numero que procesa es: ", b
        res=Numero_a_Texto(b)
        #return amt_en
        return res
    
    def get_fecha(self):
        fecha= time.strftime('%Y-%m-%d')
        print "la fecha es: ", fecha
        dia=fecha[8:10]
        mes=fecha[5:7]
        ano=fecha[0:4]
        print "dia: ", dia
        print "mes: ", mes
        print "ano: ", ano
        if mes=="01":
            m="Enero"
        if mes=="02":
            m="Febrero"
        if mes=="03":
            m="Marzo"
        if mes=="04":
            m="Abril"
        if mes=="05":
            m="Mayo"
        if mes=="06":
            m="Junio"
        if mes=="07":
            m="Julio"
        if mes=="08":
            m="Agosto"
        if mes=="09":
            m="Septiembre"
        if mes=="10":
            m="Octubre"
        if mes=="11":
            m="Noviembre"
        if mes=="12":
            m="Diciembre"
        res="Bogota, %s de %s de %s "%(dia, m , ano)
        return res
   
report_sxw.report_sxw(
    'report.payment_voucher_report2'                                    ,
    'account.voucher'                                                   ,
    'addons/payment_voucher_report/report/report_voucher_amount2.rml'   ,
    parser=report_voucher_amount,header=False
)
