#!/usr/bin/python
# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################


from osv import osv
from osv import fields
from tools.translate import _
from tools import config
import cupstree


class ir_actions_report_xml(osv.osv):
    _inherit ="ir.actions.report.xml"
    
    def _get_print(self, cr, uid, context={}):    
        lista_p=[]       
        try:
            lista=cupstree.gethost()
            for i in lista:
                lista_p.append((i,i))
            lista_p.append(("ninguna",'Ninguna'))
            return lista_p            
        except:
             lista_p.append(("ninguna",'Ninguna'))
             return lista_p

    _columns={
    'printer': fields.selection(_get_print, string='Printers', size=128) ,
    'page_size': fields.selection([
            ('letter','Letter')                  ,
            ('half_letter','8.0x5.5')            ,
            ],'Page Size', select=True,)         , 
    }
     
ir_actions_report_xml()      
    

