#!/usr/bin/python
# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
################################################################################
{
    "name" : "account_voucher_pay_order"                        ,
    "version" : "0.1"                                           ,
    "depends" : [
                 'account_voucher'                              ,
                 'l10n_co_check_book'                           ,
                 'l10n_co_voucher_pay_support'                  ,
                 'l10n_co_base_vat'                             ,
                 'account_voucher_payment'                      ,  #extra-addons 
                 'python2lpr'                                   , #load printer
                 'report_sxw_ext'                               ,  #print check_note                    
                ]                                               ,
    "author" : "OpenERP Venezuela"                              ,
    "description" : """
    Gestion de Ordenes de Pago (impresion del Cheque)
                    """                                         ,
    "website" : "http://wiki.openerp.org.ve/"                   ,
    "category" : "Generic Modules"                              ,
    "init_xml" : [
    ]                                                           ,
    "demo_xml" : [
    ]                                                           ,
    "update_xml" : [
                  'check_report.xml'                            ,#print check_note
                  'menu_vouche_view.xml'                        ,       
                  'wizard/voucher_pay_support_wizard.xml'       ,
                  'pay_order_view.xml'                          ,
                  'pay_order_contrapartida.xml'                 ,
                  'pay_order_line_view.xml'                     ,
                  'account_voucher_journal_view.xml'            ,
                  'security/ir.model.access.csv'                ,
    ]                                                           ,
    "active": False                                             ,
    "installable": True                                         ,
}
