# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################


from osv import osv
from osv import fields
from tools.translate import _
from tools import config


class baremo_rent_category(osv.osv):
    """En esta clase se encuentran las categorias de la tabla de retencion"""
    _name = 'baremo.rent.category'
    _columns = {
    'name':fields.char('Nombre',size=32, required=True, readonly=False)              , 
    'item_ids':fields.one2many('baremo.rent.item', 'categoria_id', 'Conceptos')      ,                 
    }
    
    
    def name_uniq(self,cr,uid,ids,context={}):
        obj = self.browse(cr,uid,ids[0])
        cr.execute('select a.name  from baremo_rent_category a')
        lista=cr.fetchall()
        print lista
        #comprension de lista
        bandera=([x[0] for x in lista if x[0] == obj.name])
        #bandera devuelve una lista de las ocurrencias
        print"bandera es:", bandera
        if  len(bandera)>1 :
            return False
        return True  
    
    _constraints = [
        (name_uniq, 'Error ! Esta Categoria ya existe. ', ['name'])
    ]    
    
    
    
    
baremo_rent_category()





