#!/usr/bin/python
# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################

{
    "name" : "check_book"                               ,
    "version" : "0.1"                                   ,
    "author" : "OpenERP Venezuela"                      ,
    "category" : "General"                              ,
    "website": "http://wiki.openerp.org.ve/"            ,
    "description": ''' 
                    Gestion de Chequeras y Cheques en Colombia        
                   '''                                  ,
    "depends" : [   "base"                              ,
                    "account_voucher"                   ,                  
                    "l10n_co_res_bank_entity"           ,
                    "l10n_co_base_res_bank"             ,  
                ]                                       ,
    "init_xml" : []                                     ,
    "update_xml" : [
        "check_book_report.xml"                         ,
        "check_book_view.xml"                           ,
        "check_note_view.xml"                           ,
        "wizard/check_report_general.xml"               ,
        'security/ir.model.access.csv'                  ,
    ]                                                   ,
    "active": False                                     ,
    "installable": True
}
