# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################
from osv import osv, fields
import time
from tools import config

class reporte_anual_iva(osv.osv):
    _name = "reporte.anual.iva"
    _description = "Reporte Anual para el modelo de Retencion de IVA"
    _columns = {
        'date_genera': fields.date('Fecha', readonly=False, help="Fecha de Generacion del Reporte")                                  ,
        'rete_iva_ids': fields.many2many('account.retention.iva','rep_iva_rel_', 'rep_id_','iva_id_', 'Retencion IVA' )              ,
        'fiscalyear_id': fields.many2one('account.fiscalyear', 'Periodo Fiscal',required=True, )                                     ,
      }
    _rec_name='date_genera' # esto es para no crear un atributo name
      
    
reporte_anual_iva()

