# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################

from osv import osv, fields
import time
from tools import config

class transaction_report(osv.osv):
    _name = "transaction.report"
    _description = "Reportes para un periodo Fiscal"
    _columns = {
        'fiscalyear_id': fields.many2one('account.fiscalyear', 'Periodo Fiscal',required=True)           ,
        'partner_id':fields.many2one('res.partner', 'Partner', readonly=False)                           ,
        'mes': fields.many2one('account.period', 'Mes Fiscal', readonly=False, required= True)           ,
        'cliente': fields.boolean('Cliente')                                                             ,
        'proveedor': fields.boolean('Proveedor')                                                         ,
        'user_id': fields.many2one('res.users', 'Salesman', readonly=False)                              ,
      }
    _rec_name='fiscalyear_id' # esto es para no crear un atributo name
        
transaction_report()

