#!/usr/bin/python
# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
#    All Rights Reserved
###############Credits######################################################
#    Coded by: Angelica Barrios angelicaisabelb@gmail.com
#              Humberto Arocha humberto@openerp.com.ve
#    Planified by: Humberto Arocha
#    Finance by: LUBCAN COL S.A.S http://www.lubcancol.com
#    Audited by: Humberto Arocha humberto@openerp.com.ve
#############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##############################################################################

{
    "name" : "voucher_pay_support"                      ,
    "version" : "0.2"                                   ,
    "author" : "OpenERP Venezuela"                      ,
    "category" : "General"                              ,
    "website": "http://wiki.openerp.org.ve/"            ,
    "description": ''' 
    Modulo que gestiona los Soportes de Pago Bancario        
                   '''                                  ,
    "depends" : [   "base"                              ,
                    "account"                           ,
                    "account_voucher"                   ,
                    "account_voucher_payment"           , #extra-addons
                    "l10n_co_res_company"               ,
                    "l10n_co_res_bank_entity"           ,
                    "l10n_co_base_res_bank"             ,
                    "l10n_co_check_book"                ,     
                ]                                       ,
    "init_xml" : []                                     ,
    "update_xml" : [
        "account_report.xml"                            ,
        "wizard/cancel_wizard.xml"                      ,
        "voucher_pay_support_view.xml"                  ,                           
#        "generate_lines_payment_wizard.xml"            , 
        'security/ir.model.access.csv'                  ,
        
    ]                                                   ,
    "active": False                                     ,
    "installable": True
}
